Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5
Class TapestryConstants

    java.lang.Object
      org.apache.tapestry5.TapestryConstants

    public class TapestryConstants

extends java.lang.Object

Constants needed by end-user classes.

Since:
  5.2.0

Field Summary
`static java.lang.String` | `PAGE_LOOPBACK_PARAMETER_NAME` Name of query parameter that is placed on "loopback" links (page render links for the same page).
`static java.lang.String` | `TEMPLATE_EXTENSION` The extension used for Tapestry component template files, Tapestry Markup Language.

Constructor Summary
`TapestryConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_EXTENSION

    public static final java.lang.String TEMPLATE_EXTENSION

  The extension used for Tapestry component template files, Tapestry Markup Language. Template files are well-formed XML files.

  See Also:
    Constant Field Values

### PAGE_LOOPBACK_PARAMETER_NAME

    public static final java.lang.String PAGE_LOOPBACK_PARAMETER_NAME

  Name of query parameter that is placed on "loopback" links (page render links for the same page). This mostly includes the redirects sent after a component event request. Page render requests that do not have the LOOPBACK query parameter will trigger a reset notification after the initialization event; the LOOPBACK prevents this reset notification.

  Since:
    5.2.0
  See Also:
    `ComponentEventLinkEncoder.createPageRenderLink(org.apache.tapestry5.services.PageRenderRequestParameters)`, `ComponentEventLinkEncoder.decodePageRenderRequest(org.apache.tapestry5.services.Request)`, `PageResetListener`, Constant Field Values

Constructor Detail

### TapestryConstants

    public TapestryConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.